undefined method `domain_id' for new Hostgroup
Description

Trying to create a new Hostgroup with the Foreman v0.4. Fresh install on a PostgreSQL DB server.

Everything is working fine except adding a new hostgroup. When I click the button to add one, I receive this error.

Here is a PasteBin of the debug output from the Webrick server.

----

http://pastebin.com/AQKAHTcq

Here is the error on the Foreman page.

----

undefined method `domain_id' for #<Hostgroup:0x7fddf416de68>

ActionView::TemplateError

undefined method `domain_id' for #

app/helpers/layout_helper.rb:74:in `select_f'

app/helpers/layout_helper.rb:93:in `field'

app/helpers/layout_helper.rb:89:in `field'

app/helpers/layout_helper.rb:87:in `field'

app/helpers/layout_helper.rb:73:in `select_f'

app/views/common/_domain_subnet.html.erb:2

app/views/common/_domain_subnet.html.erb:1

app/views/hostgroups/_form.html.erb:44

app/views/hostgroups/_form.html.erb:1

app/views/hostgroups/new.html.erb:3

/server:3

History

#1 - 12/25/2011 08:10 AM - Ohad Levy

as I cant reproduce, can you confirm that your database is fully migrated?

if it is, does the following diff solves the problems? http://pastie.org/3070740

thanks

Ohad

#2 - 12/26/2011 07:43 AM - Ohad Levy

- Target version deleted (0.4.1)

I cant reproduce it, for now, removing it from the 0.4.x release

#3 - 01/29/2012 08:29 AM - Ohad Levy

- Status changed from New to Resolved
